spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Parker Hegstrom (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SPARK-23435) R tests should support latest testthat
Date Thu, 30 Aug 2018 18:52:00 GMT

    [ https://issues.apache.org/jira/browse/SPARK-23435?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16597781#comment-16597781
] 

Parker Hegstrom commented on SPARK-23435:
-----------------------------------------

What is the status of this? My appveyor.yml has the lower version of testthat, but I'm still
getting the original error.

Looks like it's because I followed http://spark.apache.org/docs/latest/building-spark.html#running-r-tests,
but this command downloads the most recent testthat version.

Can someone change this until your PR goes through?

> R tests should support latest testthat
> --------------------------------------
>
>                 Key: SPARK-23435
>                 URL: https://issues.apache.org/jira/browse/SPARK-23435
>             Project: Spark
>          Issue Type: Bug
>          Components: SparkR
>    Affects Versions: 2.3.1, 2.4.0
>            Reporter: Felix Cheung
>            Assignee: Felix Cheung
>            Priority: Major
>
> To follow up on SPARK-22817, the latest version of testthat, 2.0.0 was released in Dec
2017, and its method has been changed.
> In order for our tests to keep working, we need to detect that and call a different method.
> Jenkins is running 1.0.1 though, we need to check if it is going to work.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message